%define module_version 0.46
%define module_name Monitoring-Generator-TestConfig
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.46
Release: alt1
Summary: generate monitoring configurations (nagios/icinga/shinken)
Group: Development/Perl
License: gpl3
URL: https://github.com/sni/Monitoring-Generator-TestConfig

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NIERLEIN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This modul generates test configurations for your monitoring. This can be useful if you
want for doing load tests or testing addons and plugins.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.44-alt1
- initial import by package builder

